Subject: fails to block administrivia from other mailman lists

From: "Andrew M. Bishop" <[email-masked]>
Date: Fri, 05 Dec 2003 14:05:05 +0000

Package: mailman
Version: 2.1.3-1
Severity: normal

Mailman has an option to block administrivia from the list so that subscribe
requests are not sent to the list.  There is a problem when one mailman list is
subscribed to another list though.

I have a mailman list that somebody else subscribed to their mailman list.  The
monthly password reminder from the other list was sent to my list and therefore
to all of the subscribers of my list.  When I went to the web page for the other
list and unsubscribed my list from it the unsubscription notification was also
sent to my list and therefore to all of the subscribers.

The mailman administrivia filter should block all mailman list administrivia
even if it is from another mailman list.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux g6 2.4.22-2 #1 Sat Aug 30 18:16:45 BST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages mailman depends on:
ii  apache [httpd]                1.3.27.0-2 Versatile, high-performance HTTP s
ii  apache-ssl [httpd]            1.3.27.0-2 Versatile, high-performance HTTP s
ii  cron                          3.0pl1-81  management of regular background p
ii  debconf                       1.3.15     Debian configuration management sy
ii  exim [mail-transport-agent]   3.36-8     An MTA (Mail Transport Agent)
ii  libc6                         2.3.2-9    GNU C Library: Shared libraries an
ii  logrotate                     3.6.5-2    Log rotation utility
pi  pwgen                         2.03-1     Automatic Password generation
ii  python                        2.3.2-2    An interactive high-level object-o
ii  ucf                           0.25       Update Configuration File: preserv

-- debconf information excluded

---

From: Siggy Brentrup <[email-masked]>
Date: Fri, 2 Apr 2004 19:47:53 +0200

package mailman
severity 223045 wishlist
thanks

> Mailman has an option to block administrivia from the list so that
> subscribe requests are not sent to the list.  There is a problem
> when one mailman list is subscribed to another list though.

This options is meant as a convenience for lusers who can't read
headers and footers.

> I have a mailman list that somebody else subscribed to their mailman
> list.  The monthly password reminder from the other list was sent to
> my list and therefore to all of the subscribers of my list.  When I
> went to the web page for the other list and unsubscribed my list
> from it the unsubscription notification was also sent to my list and
> therefore to all of the subscribers.

Looks like you configured an extremely liberal posting policy for your
list.

> The mailman administrivia filter should block all mailman list
> administrivia even if it is from another mailman list.

You can easily configure that behaviour by appending appropiate
addresses resp. regexes to hold_these_nonmembers or another sender
filter.  FTTOMH:
  password reminders come from SITELIST-owner@EMAIL_HOST,
  (un)?subscription notices from LIST-request@EMAIL_HOST.

Although I don't consider this a bug, I'm only downgrading it to
wishlist for now.

Regards
 . Siggy